
Redmine - Defect #22342

When copying issues to a different project, subtasks /w custom fields not copied over

2016-03-29 20:37 - Joe Price

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Custom fields Estimated time: 0.00 hour

Target version: 3.2.2   

Resolution: Fixed Affected version: 3.2.0

Description

My environment:

Environment:

  Redmine version                3.2.0.stable

  Ruby version                   2.0.0-p481 (2014-05-08) [x86_64-openbsd]

  Rails version                  4.2.5

  Environment                    production

  Database adapter               Mysql2

SCM:

  Subversion                     1.8.9

  Filesystem

Redmine plugins:

  no plugin installed

 Redmine production.log:

Could not copy subtask #1878 while copying #1874 to #1993 due to validation errors: JobNumber cann

ot be blank

Could not copy subtask #1879 while copying #1874 to #1993 due to validation errors: JobNumber cann

ot be blank

Could not copy subtask #1884 while copying #1874 to #1993 due to validation errors: JobNumber cann

ot be blank

Could not copy subtask #1886 while copying #1874 to #1993 due to validation errors: JobNumber cann

ot be blank

Could not copy subtask #1888 while copying #1874 to #1993 due to validation errors: JobNumber cann

ot be blank

 JobNumber IS there in the subtasks. Both the source and target projects have the same fields.

Copying to the same project works, but copying to a different project has the above error.

Originally discussed here: Custom fields not copied over projects

Related issues:

Related to Redmine - Defect #11315: When I  copy a project it does not copy t... Needs feedback

Associated revisions

Revision 15318 - 2016-04-11 19:11 - Jean-Philippe Lang

Fixed that subtasks lose their custom fields when copying an issue to a different project (#22342).

Revision 15329 - 2016-04-12 18:55 - Jean-Philippe Lang

Merged r15318 and r15319 (#22342).

History

#1 - 2016-03-29 20:39 - Joe Price

A work around is to copy issues with subtasks using custom fields to the same project and then move the issues to another project.
https://www.redmine.org/boards/2/topics/49431


#2 - 2016-04-10 23:22 - Jean-Philippe Lang

- Target version set to 3.2.2

#3 - 2016-04-11 19:12 - Jean-Philippe Lang

- Subject changed from When copying issues, subtasks /w custom fields not copied over to When copying issues to a different project, subtasks /w

custom fields not copied over

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Fixed in r15318.

#4 - 2016-04-12 18:55 - Jean-Philippe Lang

- Status changed from Resolved to Closed

#5 - 2016-04-28 11:55 - Toshi MARUYAMA

- Description updated

#6 - 2017-02-22 21:45 - Mischa The Evil

- Related to Defect #11315: When I  copy a project it does not copy the issues custom fields' values added
